For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Book a demoLog inStart for free
  • Getting started
    • Overview
    • How it works
    • Quickstart
    • Project structure
    • Customer showcase
    • Changelog
  • Configuration
    • Overview
    • Site-level settings
    • Page-level settings
  • Writing content
    • Markdown basics
    • Rich media in Markdown
    • Fern Editor
    • Reusable snippets
  • AI features
    • Overview
    • Fern Writer
    • AI-generated examples
    • Markdown access
      • Overview
      • Customize LLM output
      • Agent directives
      • Analytics and integration
    • MCP server
    • API catalog discovery
      • Overview
        • Overview
          • POSTIndex Website
          • GETGet Website Status
          • GETGet Website By Id
          • GETGet Websites
          • POSTReindex Website
          • DELDelete Website
          • DELDelete All Websites
  • Public API
    • GETJWT from Fern API key
    • GETAlgolia search credentials
    • GETCurrent user information
  • Fern Writer API
    • GETGet Fern Writer Install Link
Checking status...
SOC2Soc 2 Type II
© 2026 Fern • Birch Solutions, Inc., a Postman company

Documentation

SDKsDocsAsk FernCLI Reference

API Definitions

OpenAPIAsyncAPIOpenRPCgRPC

Resources

BlogSupportPricing

Company

Brand KitPrivacy PolicyTerms of Service
LogoLogo
Book a demoLog inStart for free
AI featuresAsk FernAPI referenceWebsite

Index Website

||View as Markdown|
POST
/sources/website/:domain/index
POST
/sources/website/:domain/index
$curl -X POST https://fai.buildwithfern.com/sources/website/domain/index \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "base_url": "https://docs.buildwithfern.com"
>}'
1{
2 "job_id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
3 "base_url": "https://docs.buildwithfern.com"
4}

Start crawling and indexing a website. Returns a job_id to track the crawling progress.

Was this page helpful?
Previous

Get Slack Install Link

Next

Get Website Status

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

domainstringRequired

Request

This endpoint expects an object.
base_urlstringRequired

The base URL to start indexing from (e.g., ‘https://docs.example.com’)

domain_filterstring or nullOptional

Domain to filter crawling (e.g., ‘docs.example.com’). Defaults to base_url domain.

path_filterstring or nullOptional

Path prefix to restrict crawling (e.g., ‘/docs’). Only URLs starting with this will be crawled.

url_patternstring or nullOptional

Regex pattern to filter URLs (e.g., https://example\.com/(docs|api)/.*).

chunk_sizeinteger or nullOptionalDefaults to 1000
Size of text chunks for splitting documents
chunk_overlapinteger or nullOptionalDefaults to 200
Overlap between consecutive chunks
min_content_lengthinteger or nullOptionalDefaults to 100
Minimum content length to index a page
max_pagesinteger or nullOptional
Maximum number of pages to crawl. None means unlimited.
delaydouble or nullOptionalDefaults to 1
Delay in seconds between requests
versionstring or nullOptional
Version to tag all indexed pages with
productstring or nullOptional
Product to tag all indexed pages with
authedboolean or nullOptional

Whether indexed pages should be auth-gated

Response

Successful Response
job_idstring
ID to track the indexing job status
base_urlstring
The base URL being indexed

Errors

422
Unprocessable Entity Error